Subject: bug#73962: Seemingly unecessary package duplication in home and system profiles

From: [email-masked]
Date: Wed, 23 Oct 2024 13:42:02 +0200

When running either `guix size $(realpath ~/.guix-home/profile)` or 
`guix size $(realpath /run/current-system/profile)` on my system, I 
could see that multiple packages have "duplicates", whose hash doesn't 
match. After investigation, I discovered that for all the ones I've 
checked, the hash differs simply because compression used for some files 
in the derivation output (such as manpages, for example). Some examples 
are:

bash-minimal-5.1.16
bzip2-1.0.8
cairo-1.18.0
coreutils-9.1
dbus-1.15.8
extension.json
ffmpeg-6.1.1
gawk-5.3.0
gcc-11.4.0-lib
git-2.46.0
glib-2.78.0
grep-3.11
gtk+-2.24.33
gtk+-3.24.41
gtk+-3.24.41-bin
gzip-1.13
harfbuzz-8.3.0
libffi-3.4.4
libnotify-0.8.3
librsvg-2.56.4
libxkbcommon-1.6.0
mesa-24.0.4
python-3.10.7
python-3.10.7-tk
python-pyparsing-3.0.6
qtwayland-5.15.10
tar-1.34
wayland-1.22.0
xz-5.4.5
zlib-1.3

Running guix challenge over these packages also doesn't detect any kind 
of reproducibility issues. Is there any reason for the package 
duplication?

Thanks in advance,
Luis Guilherme Coelho